<?php
/* Autor...:  */
/* Esquema.: MST_ItemUbicacion.xml */
/* Generado: 2020-08-18 04:21:27 */

/* Metodos de acceso a los campos de la tabla MST_ItemUbicacion */
abstract class BaseMST_ItemUbicacionBN
{
    /* Campos de la tabla */
    private $s_IdItem;    // IdItem: ( no definido )
    private $i_IdCategoria;    // IdCategoria: ( no definido )
    private $i_IdTipoUbicacion;    // IdTipoUbicacion: ( no definido )
    private $i_HoraHabitacion;    // HoraHabitacion: ( no definido )

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo IdCategoria */
    public function setIdCategoria( $i_IdCategoria )
    {
        $this->i_IdCategoria = $i_IdCategoria;
    }

    /* Obtiene el valor del campo IdCategoria */
    public function getIdCategoria()
    {
        return $this->i_IdCategoria;
    }

    /* Establece el valor del campo IdTipoUbicacion */
    public function setIdTipoUbicacion( $i_IdTipoUbicacion )
    {
        $this->i_IdTipoUbicacion = $i_IdTipoUbicacion;
    }

    /* Obtiene el valor del campo IdTipoUbicacion */
    public function getIdTipoUbicacion()
    {
        return $this->i_IdTipoUbicacion;
    }

    /* Establece el valor del campo HoraHabitacion */
    public function setHoraHabitacion( $i_HoraHabitacion )
    {
        $this->i_HoraHabitacion = $i_HoraHabitacion;
    }

    /* Obtiene el valor del campo HoraHabitacion */
    public function getHoraHabitacion()
    {
        return $this->i_HoraHabitacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdItem' => $this->getIdItem(),
            'IdCategoria' => $this->getIdCategoria(),
            'IdTipoUbicacion' => $this->getIdTipoUbicacion(),
            'HoraHabitacion' => $this->getHoraHabitacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_ItemUbicacionBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_ItemUbicacionRs )
    {
        $o_MST_ItemUbicacionBN = new MST_ItemUbicacionBN();
        $o_MST_ItemUbicacionBN->setIdItem( $o_MST_ItemUbicacionRs[ "IdItem" ] );
        $o_MST_ItemUbicacionBN->setIdCategoria( ( integer ) $o_MST_ItemUbicacionRs[ "IdCategoria" ] );
        $o_MST_ItemUbicacionBN->setIdTipoUbicacion( ( integer ) $o_MST_ItemUbicacionRs[ "IdTipoUbicacion" ] );
        $o_MST_ItemUbicacionBN->setHoraHabitacion( ( integer ) $o_MST_ItemUbicacionRs[ "HoraHabitacion" ] );
        return $o_MST_ItemUbicacionBN;
    }
}
?>